//+------------------------------------------------------------------+
//|                                                  Custom MACD.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+

#property  copyright "Copyright  2004, MetaQuotes Software Corp."
#property  link      "http://www.metaquotes.net/"

 

//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 1
#property  indicator_color1  PowderBlue
#property  indicator_width1  2

//---- indicator parameters
extern int Periodo  = 13;


//---- indicator buffers
double    Histogram[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicator buffers mapping
   SetIndexBuffer(0,Histogram);  

//---- drawing settings
   SetIndexStyle(0,DRAW_HISTOGRAM);

//---- line shifts when drawing

 
   SetIndexDrawBegin(0,Periodo);
   IndicatorDigits(Digits+1);


//---- name for DataWindow and indicator subwindow label

 
   IndicatorShortName("DMI Spread("+Periodo+")");
   SetIndexLabel(0,"DMI Spread");

 

//---- initialization done

   return(0);
  }

//+------------------------------------------------------------------+
//| Moving Averages Convergence/Divergence                           |
//+------------------------------------------------------------------+

int start()
  {
   int limit;
   int counted_bars=IndicatorCounted(); 

//---- last counted bar will be recounted

   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;   

//---- calcolo entry_long 

   for(int i=0; i<limit; i++)
      Histogram[i] = iADX(NULL,0,Periodo,PRICE_CLOSE,MODE_PLUSDI,i)-iADX(NULL,0,Periodo,PRICE_CLOSE,MODE_MINUSDI,i);
   return(0);

//---- done

  }

//+------------------------------------------------------------------+